ImagickDraw::pushClipPath
ImagickDraw::pushPattern
ImagickDraw
PHP Manual

# ImagickDraw::pushDefs

Indicates that following commands create named elements for early processing

### Description

bool ImagickDraw::pushDefs ( void )
Warning

This function is currently not documented; only its argument list is available.

Indicates that commands up to a terminating ImagickDraw::popDefs() command create named elements (e.g. clip-paths, textures, etc.) which may safely be processed earlier for the sake of efficiency.

### Return Values

No value is returned.